---
search:
  tags:
    - Orders V2
    - GET
seo:
  description: >-
    Lists audit history entries for an order… Reference for the GET
    /api/v2/{team_slug}/{app_slug}/orders/{order_id}/history endpoint in the
    Management API v2.
sidebar:
  label: List order history
  badge: GET
title: List order history
type: openapi-operation
---
Lists audit history entries for an order with pagination.

`GET /api/v2/{team_slug}/{app_slug}/orders/{order_id}/history`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `404` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",
      "change_type": "string",
      "from_status": "string",
      "to_status": "string",
      "happened_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
